Subject: RE: GNU-Win32 : gettimeofday
From: [email-masked] ("Lim Chu Cheow, Dr")

30 May 1997 11:04:53 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=NTU%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>
Original-Cc: "[email-masked]'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.837.3
Original-Sender: [email-masked]

Thanks!  Since I don't follow the Unix standard changes very 
closely, I'm a little confused now.  On a SVR4 (Solaris 2.4),
from the man page, I get:

     int gettimeofday(struct timeval *tp);

Whereas for a SunOS 4.1.3, I get from the man page:

     int gettimeofday(tp, tzp)
     struct timeval *tp;
     struct timezone *tzp;

So GNU-Win32 is following an "older" Unix standard (whichever it is)?

- Chu-Cheow
>----------
>From: 	$Bill Luebkert[SMTP:[email-masked]]
>Sent: 	Friday, May 30, 1997 10:20 AM
>To: 	Lim Chu Cheow, Dr
>Cc: 	[email-masked]
>Subject: 	Re: GNU-Win32 : gettimeofday
>
>Lim Chu Cheow wrote:
>> 
>> Hi,
>> I just installed b18, and compiled a simple program
>> (given below).  Compilation went through, but the
>> execution received some exception and died.  Am I
>> missing something?  Thanks in advance for any advice.
>> 
>> ============
>> #include <stdio.h>
>> #include <sys/time.h>
>> 
>> void main(void)
>> {
>>   struct timeval tp;
>
>add:
>    struct timezone tz;
>
>> 
>>   fprintf(stdout,"Hello world!!\n");
>>   gettimeofday(&tp);
>
>replace:
>    gettimeofday(&tp,&tz);
>
>>   fprintf(stdout,"Current time = %lf s\n",
>>           ((double)tp.tv_sec+tp.tv_usec*1.0e-6));
>> }
>
>-- 
>  ,-/-  __      _  _         $Bill Luebkert
> (_/   /  )    // //       DBE Collectibles
>  / ) /--<  o // //      http://www.wgn.net/~dbe/
>-/-' /___/_<_</_</_    Email: [email-masked]
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".